Bug 1687553 - blue ocean dependency chain now broke
Summary: blue ocean dependency chain now broke
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-11 17:41 UTC by Gabe Montero
Modified: 2019-06-04 10:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:45:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:41 UTC

Description Gabe Montero 2019-03-11 17:41:54 UTC
During the latest flurry of upstream jenkins security advisories, the following breakage has recently manifested:

Mar 11, 2019 5:34:08 PM jenkins.InitReactorRunner$1 onTaskFailed
SEVERE: Failed Loading plugin JIRA Integration for Blue Ocean v1.10.2 (blueocean-jira)
java.io.IOException: JIRA Integration for Blue Ocean v1.10.2 failed to load.
 - Jenkins JIRA plugin v3.0.2 is older than required. To fix, install v3.0.5 or later.
	at hudson.PluginWrapper.resolvePluginDependencies(PluginWrapper.java:652)
	at hudson.PluginManager$2$1$1.run(PluginManager.java:517)
	at org.jvnet.hudson.reactor.TaskGraphBuilder$TaskImpl.run(TaskGraphBuilder.java:169)
	at org.jvnet.hudson.reactor.Reactor.runTask(Reactor.java:296)
	at jenkins.model.Jenkins$5.runTask(Jenkins.java:1083)
	at org.jvnet.hudson.reactor.Reactor$2.run(Reactor.java:214)
	at org.jvnet.hudson.reactor.Reactor$Node.run(Reactor.java:117)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)

Mar 11, 2019 5:34:08 PM jenkins.InitReactorRunner$1 onTaskFailed
SEVERE: Failed Loading plugin Blue Ocean v1.10.2 (blueocean)
java.io.IOException: Blue Ocean v1.10.2 failed to load.
 - JIRA Integration for Blue Ocean v1.10.2 failed to load. Fix this plugin first.
	at hudson.PluginWrapper.resolvePluginDependencies(PluginWrapper.java:652)
	at hudson.PluginManager$2$1$1.run(PluginManager.java:517)
	at org.jvnet.hudson.reactor.TaskGraphBuilder$TaskImpl.run(TaskGraphBuilder.java:169)
	at org.jvnet.hudson.reactor.Reactor.runTask(Reactor.java:296)
	at jenkins.model.Jenkins$5.runTask(Jenkins.java:1083)
	at org.jvnet.hudson.reactor.Reactor$2.run(Reactor.java:214)
	at org.jvnet.hudson.reactor.Reactor$Node.run(Reactor.java:117)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)


Note, this does not prevent jenkins from coming up, nor does it impact our openshift/jenkins integrations

I suspect simply removing `jira:3.0.2` from the sec adv section of the plugin txt file will suffice for addressing.

Comment 1 Gabe Montero 2019-03-11 17:43:25 UTC
Will fix after https://github.com/openshift/jenkins/pull/813 merges

Comment 2 Gabe Montero 2019-03-11 17:54:14 UTC
Interestingly 3.11 does not have this, as it is at jira:3.0.5 as a result of https://buildvm.openshift.eng.bos.redhat.com:8443/job/devex/job/devex%252Fjenkins-plugins/105/

there it seems the download plugin script was able to bump the dependency

maybe gets back to being able to build the image in 3.11 vs. the plugin script

I'll clean up both 3.11 and 4.0 plugin txt as part of this

Comment 4 Gabe Montero 2019-03-12 15:15:34 UTC
PR https://github.com/openshift/jenkins/pull/816
is currently blocked by 
https://github.com/openshift/release/issues/3074

Comment 5 Gabe Montero 2019-03-13 23:44:13 UTC
PR https://github.com/openshift/jenkins/pull/816 has merged 

the osbs/brew jenkins plugin rpm at the level noted at http://pkgs.devel.redhat.com/cgit/rpms/jenkins-2-plugins/commit/?h=rhaos-4.0-rhel-7&id=facd64ca25222d6272546cf6c005fe3fa6627168
has the updates 

wait for an version of the image from brew that includes the jenkins plugin rpm at that level

Comment 6 XiuJuan Wang 2019-03-14 08:25:06 UTC
This bug has fixed in 4.0.0-0.ci-2019-03-14-075338, but nightly build has not included the fix yet.
Qe need wait the nightly build to catch up the fix.

Comment 7 XiuJuan Wang 2019-03-15 09:17:59 UTC
The fix has merged in 4.0.0-0.nightly-2019-03-15-043409 build.
Can't reproduce this error about blue ocean dependency.
jenkins id quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b35a6d15859eca7b27893eb3e0c6e9a2f81b35d3c9c3dfc4eda690fb8dff3a76

Comment 9 errata-xmlrpc 2019-06-04 10:45:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.